<?php
/* Copyright (C) 2024      EasyA Solutions             <support@easya.solutions>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 *	\file       htdocs/suppliercontract/core/substitutions/functions_suppliercontract.lib.php
 *	\brief      Ensemble de fonctions de substitutions pour le module supplier contrat
 * 	\ingroup	suppliercontract
 */

function suppliercontract_completesubstitutionarray(&$substitutionarray, $langs, $object, $parameters) {
	if (!getDolGlobalInt("SUPPLIERCONTRACT_ALLOW_EXTERNAL_DOWNLOAD") && is_object($object) && $object->element == 'suppliercontract') {
		$substitutionarray['__DIRECTDOWNLOAD_URL_SUPPLIERCONTRACT__'] = $object->getLastMainDocLink($object->element);
	} else {
		$substitutionarray['__DIRECTDOWNLOAD_URL_SUPPLIERCONTRACT__'] = '';
	}
}
